// -*- coding: iso-8859-1-unix -*-

#include <log/output/file_output.h>
#include <log/logger.h>

#include <iostream> // for cout

struct foo
{
  logger::logger l;

  foo() : l()
  {
    l.add_output(logger::output::make_file_output("/tmp/demo_multiple_outputs_file.log"));
    l.add_output(logger::output::make_streambuf_output(std::cerr));
    l.set_level(logger::debug_level);
    logger::log_scope scope(l, logger::info_level, "foo constructor");
    {
      logger::log_scope other_scope(l, logger::debug_level, "A inner scope of information");
      other_scope.log("Something that is more specific to log");
    }
    scope.log("Something to log");
  }

  ~foo()
  {
    logger::log_scope scope(l, logger::info_level, "foo destructor");
    scope.log("Something else to log");
  }
};

int main()
{
  foo f;
}
